Module java.base
Package java.lang.classfile.attributePREVIEW

# Interface RuntimeVisibleTypeAnnotationsAttribute

All Superinterfaces:
  `AttributePREVIEW<RuntimeVisibleTypeAnnotationsAttributePREVIEW>`, `ClassElementPREVIEW`, `ClassFileElementPREVIEW`, `CodeElementPREVIEW`, `FieldElementPREVIEW`, `MethodElementPREVIEW`, `WritableElementPREVIEW<RuntimeVisibleTypeAnnotationsAttributePREVIEW>`

public sealed interface RuntimeVisibleTypeAnnotationsAttribute extends AttributePREVIEW<RuntimeVisibleTypeAnnotationsAttributePREVIEW>, ClassElementPREVIEW, MethodElementPREVIEW, FieldElementPREVIEW, CodeElementPREVIEW
`RuntimeVisibleTypeAnnotationsAttribute` is a preview API of the Java platform.
Programs can only use `RuntimeVisibleTypeAnnotationsAttribute` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models the `RuntimeVisibleTypeAnnotations` attribute 4.7.20, which can appear on classes, methods, fields, and code attributes. Delivered as a `ClassElement`PREVIEW, `FieldElement`PREVIEW, `MethodElement`PREVIEW, or `CodeElement`PREVIEW when traversing the corresponding model type.

The attribute does not permit multiple instances in a given location. Subsequent occurrence of the attribute takes precedence during the attributed element build or transformation.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TypeAnnotationPREVIEW>`
  `annotations()`
  Returns the runtime-visible type annotations on parts of this class, field, or method.
  `static RuntimeVisibleTypeAnnotationsAttributePREVIEW`
  `of(TypeAnnotationPREVIEW... annotations)`
  Returns a `RuntimeVisibleTypeAnnotations` attribute.
  `static RuntimeVisibleTypeAnnotationsAttributePREVIEW`
  `of(List<TypeAnnotationPREVIEW> annotations)`
  Returns a `RuntimeVisibleTypeAnnotations` attribute.

  ### Methods declared in interface java.lang.classfile.AttributePREVIEW

  `attributeMapper, attributeName`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### annotations

    List<TypeAnnotationPREVIEW> annotations()
    Returns the runtime-visible type annotations on parts of this class, field, or method.
    Returns:
      the runtime-visible type annotations on parts of this class, field, or method

  - ### of

    static RuntimeVisibleTypeAnnotationsAttributePREVIEW of(List<TypeAnnotationPREVIEW> annotations)
    Returns a `RuntimeVisibleTypeAnnotations` attribute.
    Parameters:
      `annotations` - the annotations
    Returns:
      a `RuntimeVisibleTypeAnnotations` attribute

  - ### of

    static RuntimeVisibleTypeAnnotationsAttributePREVIEW of(TypeAnnotationPREVIEW... annotations)
    Returns a `RuntimeVisibleTypeAnnotations` attribute.
    Parameters:
      `annotations` - the annotations
    Returns:
      a `RuntimeVisibleTypeAnnotations` attribute